OpenJPEG 2.3.0

Data Structures | Macros | Typedefs
mqc.h File Reference

Implementation of an MQ-Coder (MQC) More...

`#include "opj_common.h"`
`#include "mqc_inl.h"`

Go to the source code of this file.

## Data Structures
struct | opj_mqc_state
| This struct defines the state of a context. More...
struct | opj_mqc
| MQ coder More...

## Macros
#define | MQC_NUMCTXS 19

## Typedefs
typedef struct opj_mqc_state | opj_mqc_state_t
| This struct defines the state of a context. More...
typedef struct opj_mqc | opj_mqc_t
| MQ coder More...

## Exported functions
#define | opj_mqc_setcurctx(mqc, ctxno) (mqc)->curctx = &(mqc)->ctxs[(OPJ_UINT32)(ctxno)]
| Set the current context used for coding/decoding More...
OPJ_UINT32 | opj_mqc_numbytes (opj_mqc_t *mqc)
| Return the number of bytes written/read since initialisation More...
void | opj_mqc_resetstates (opj_mqc_t *mqc)
| Reset the states of all the context of the coder/decoder (each context is set to a state where 0 and 1 are more or less equiprobable) More...
void | opj_mqc_setstate (opj_mqc_t *mqc, OPJ_UINT32 ctxno, OPJ_UINT32 msb, OPJ_INT32 prob)
| Set the state of a particular context More...
void | opj_mqc_init_enc (opj_mqc_t *mqc, OPJ_BYTE *bp)
| Initialize the encoder More...
void | opj_mqc_encode (opj_mqc_t *mqc, OPJ_UINT32 d)
| Encode a symbol using the MQ-coder More...
void | opj_mqc_flush (opj_mqc_t *mqc)
| Flush the encoder, so that all remaining data is written More...
void | opj_mqc_bypass_init_enc (opj_mqc_t *mqc)
| BYPASS mode switch, initialization operation. More...
OPJ_UINT32 | opj_mqc_bypass_get_extra_bytes (opj_mqc_t *mqc, OPJ_BOOL erterm)
| Return number of extra bytes to add to opj_mqc_numbytes() for the² size of a non-terminating BYPASS pass. More...
void | opj_mqc_bypass_enc (opj_mqc_t *mqc, OPJ_UINT32 d)
| BYPASS mode switch, coding operation. More...
void | opj_mqc_bypass_flush_enc (opj_mqc_t *mqc, OPJ_BOOL erterm)
| BYPASS mode switch, flush operation More...
void | opj_mqc_reset_enc (opj_mqc_t *mqc)
| RESET mode switch More...
void | opj_mqc_restart_init_enc (opj_mqc_t *mqc)
| RESTART mode switch (TERMALL) reinitialisation More...
void | opj_mqc_erterm_enc (opj_mqc_t *mqc)
| ERTERM mode switch (PTERM) More...
void | opj_mqc_segmark_enc (opj_mqc_t *mqc)
| SEGMARK mode switch (SEGSYM) More...
void | opj_mqc_init_dec (opj_mqc_t *mqc, OPJ_BYTE *bp, OPJ_UINT32 len, OPJ_UINT32 extra_writable_bytes)
| Initialize the decoder for MQ decoding. More...
void | opj_mqc_raw_init_dec (opj_mqc_t *mqc, OPJ_BYTE *bp, OPJ_UINT32 len, OPJ_UINT32 extra_writable_bytes)
| Initialize the decoder for RAW decoding. More...
void | opq_mqc_finish_dec (opj_mqc_t *mqc)
| Terminate RAW/MQC decoding More...

## Detailed Description

Implementation of an MQ-Coder (MQC)

The functions in MQC.C have for goal to realize the MQ-coder operations. The functions in MQC.C are used by some function in T1.C.